<template>
  <div class="main-contain">
    <div class="position">
      <bread-crumb v-if="this.$route.query.type == 1" :crumbs='crumbs'></bread-crumb>
      <bread-crumb v-if="this.$route.query.type == 2" :crumbs='crumbs2'></bread-crumb>
      <div style="float:right;">
        <el-button size="small"  @click="back()" class="filter-item">取 消</el-button>
        <el-button size="small"  type="primary" @click="submit()" class="filter-item" >保 存</el-button>
        <el-button size="small"  type="primary" @click="toCheck()" class="filter-item" v-if="is_check == 2">审 核</el-button>
        <el-button size="small"  type="primary" @click="toReturnCheck()" class="filter-item" v-if="is_check == 1">反 审 核</el-button>
      </div>
    </div>
    <div class="app-container">
      <stock-in-dialog
        ref="dialog" :propForm="propForm"
        :visibility="isVisibility"
        v-on:dialog-comfirm="comfirm"
        v-on:dialog-cancle="cancle"
      ></stock-in-dialog>
      <div class="cell clearfix">
      
         <label class="title"><span class="name"><span style="color:red">*</span>仓库</span> :</label>
         <el-select size="small" v-model="storehouse_id" filterable placeholder="请选择仓库" style="width:200px" :disabled="true">
              <el-option
                v-for="(option, index) in list"
                :key="index"
                :label="option.storehouse_name"
                :value="option.id">
              </el-option>
         </el-select>
        <label class="title"><span class="name">退库时间</span> : </label>
        <el-date-picker size="small" v-model="return_time" prefix-icon="el-icon-date" :editable="false" style="width: 196px;"
                        type="date" placeholder="选择日期时间" align="right" format="yyyy-MM-dd"
                        value-format="yyyy-MM-dd" :disabled="disabled"></el-date-picker>
      </div>

     
      <el-form :rules="tableRules" :model="recordInfo" ref="tableForm">
        <el-table :data="recordInfo.recordData" :class="signAndWeighBoxPatients" style="width: 100%" border
             max-height="450" :header-cell-style="{ backgroundColor: 'rgb(245, 247, 250)'}">

          <el-table-column align="center" width="200">
             <template slot="header" slot-scope="scope">
              <span>耗材名称</span>
            </template>
            <template slot-scope="scope">
                <el-autocomplete
                    class="checkSearch"
                    popper-class="my-autocomplete"
                    v-model="scope.row.good_name"
                    :fetch-suggestions="querySearchAsync"
                    :trigger-on-focus="true"
                    placeholder="请输入耗材名称"
                    @select="handleSelect"
                    @input="changeGoodName(scope.$index)"
                    style="width:160px;"
                    :disabled="disabled"
                  >
                    <i class="el-icon-search el-input__icon" slot="suffix"></i>
                  <template slot-scope="{ item }">
                    <div  style="widht:400px">{{ item.good_name +"  " +item.specification_name + "  "+item.manufacturer }}</div>
                  </template>
                 </el-autocomplete>
            </template>
          </el-table-column>


         <el-table-column align="center" width="140">
            
            <template slot="header" slot-scope="scope">
              <span>规格&单位<span style="color: red">*</span></span>
            </template>
            <template slot-scope="scope">

              <el-form-item style="padding-top: 20px">
                <el-input placeholder="请输入规格名称" v-model="scope.row.name"  :disabled="disabled"></el-input>
              </el-form-item>

            </template>
        </el-table-column>


          <el-table-column width="150" align="center">
            <template slot="header" slot-scope="scope">
              <span>退库数量<span style="color: red">*</span></span>
            </template>
            <template slot-scope="scope">
              <el-form-item :prop="'recordData.' + scope.$index + '.count'" :rules='tableRules.count'
                            style="padding-top: 17px">
                <el-input type="number" v-model="scope.row.count"  oninput="value=value.replace(/\D|^0/g,'')"  :disabled="disabled"></el-input>
              </el-form-item>
            </template>
          </el-table-column>
          <el-table-column width="150" align="center">
            <template slot="header" slot-scope="scope">
              <span>单价<span style="color: red">*</span></span>
            </template>
            <template slot-scope="scope">
              <el-form-item
                :prop="'recordData.' + scope.$index + '.price'"
                :rules="tableRules.price"
                style="padding-top: 17px"
              >
                <el-input
                  placeholder="请输入单价"
                  type="number"
                  v-model="scope.row.price"
                  :disabled="disabled"
                ></el-input>      
              </el-form-item>
              <!-- {{scope.row.packing_unit}} -->
            </template>
          </el-table-column>
          <el-table-column label="总价" align="center" width="150">
            <template slot-scope="scope">
              {{ calculate(scope.row.price * scope.row.count) }}
            </template>
          </el-table-column>
          <el-table-column width="200" align="center">
            <template slot="header" slot-scope="scope">
              <span>批次<span style="color: red">*</span></span>
            </template>
            <template slot-scope="scope">
              <el-form-item
                :prop="'recordData.' + scope.$index + '.number'"
                style="padding-top: 17px"
                :rules="tableRules.number"
              >
               <el-select v-model="scope.row.number" filterable placeholder="请选择"  :disabled="disabled" >
                  <el-option
                    v-for="(item,index) in scope.row.xt_warehouse_info"
                    :key="index"
                    :label="item.number"
                    :value="item.id">
                  </el-option>
              </el-select>
              </el-form-item>
            </template>
          </el-table-column>
           <el-table-column width="200" align="center">
            <template slot="header" slot-scope="scope">
              <span>品名/注册证号(备案凭证号)<span style="color: red"></span></span>
            </template>
            <template slot-scope="scope">
              <el-form-item
                :prop="'recordData.' + scope.$index + '.return_count'"
                style="padding-top: 17px"
              >
              <el-input v-model="scope.row.register_account"  :disabled="disabled"></el-input>
              </el-form-item>
            </template>
          </el-table-column>
           <el-table-column label="生产厂家" width="160" align="center">
            <template slot-scope="scope">
               <el-select v-model="scope.row.manufacturer" filterable placeholder="请选择厂商"  :disabled="disabled">
                <el-option
                  v-for="(option, index) in manufacturerList"
                  :key="index"
                  :label="option.manufacturer_name"
                  :value="option.manufacturer_name">
                </el-option>
               </el-select>
            </template>
          </el-table-column>
 

          <el-table-column label="生产日期" width="180" align="center">
            <template slot-scope="scope">
              <el-date-picker
               :disabled="disabled"
                prefix-icon="el-icon-date"
                style="width: 145px"
                v-model="scope.row.product_date"
                type="date"
                placeholder="选择日期时间"
                format="yyyy-MM-dd"
                value-format="yyyy-MM-dd"
              ></el-date-picker>
            </template>
          </el-table-column>
          <el-table-column label="有效日期" width="180" align="center">
            <template slot-scope="scope">
              <el-date-picker
               :disabled="disabled"
                prefix-icon="el-icon-date"
                style="width: 145px"
                v-model="scope.row.expiry_date"
                type="date"
                placeholder="选择日期时间"
                format="yyyy-MM-dd"
                value-format="yyyy-MM-dd"
              ></el-date-picker>
            </template>
          </el-table-column>

        <el-table-column label="经销商" width="160" align="center">
            <template slot-scope="scope">
                <el-select v-model="scope.row.dealer" filterable placeholder="请选择厂商"  :disabled="disabled">
                <el-option
                  v-for="(option, index) in dealerList"
                  :key="index"
                  :label="option.dealer_name"
                  :value="option.dealer_name">
                </el-option>
                </el-select>
            </template>
          </el-table-column>
          <el-table-column width="200" align="center">
            <template slot="header" slot-scope="scope">
              <span>退库原因<span style="color: red"></span></span>
            </template>
            <template slot-scope="scope">
              <el-form-item
                :prop="'recordData.' + scope.$index + '.remark'"
                :rules="tableRules.return_count"
                style="padding-top: 17px"
              >
              <el-input v-model="scope.row.remark"  :disabled="disabled"></el-input>
              </el-form-item>
            </template>
          </el-table-column>

          <el-table-column label="操作" align="center" width="200" fixed="right">
            <template slot-scope="scope">
              <el-tooltip class="item" effect="dark" content="新增" placement="top">

                <el-button
                  size="mini"
                  type="primary"
                  icon="el-icon-circle-plus-outline"
                  @click="handleEdit(scope.$index, scope.row)">
                </el-button>
              </el-tooltip>
              <el-tooltip class="item" effect="dark" content="删除" placement="top">

                <el-button
                  size="mini"
                  type="danger"
                  icon="el-icon-delete"
                  @click="handleDelete(scope.$index, scope.row)">
                </el-button>
              </el-tooltip>

            </template>
          </el-table-column>


        </el-table>
      </el-form>

    </div>
  </div>

</template>

<script>
  import { uParseTime } from '@/utils/tools'

  import { deleteCancelStockInfo, editCancelStockInfo, getCancelStockInfo,GetAllGoodInfoByID,GetAllConfig,postSearchGoodList,getStockBatchNumber,checkStockWarehouseInfo,checkRturnStockWarehouseInfo  } from '@/api/stock'
  import BreadCrumb from '../components/bread-crumb'
  import StockInDialog from './Dialog/stockInDialog'

  export default {
    components: { StockInDialog, BreadCrumb },
    name: 'cancelStockOrderEdit',

    data() {
      return {
        crumbs: [
          { path: false, name: '库存管理' },
          { path: false, name: '耗材退库单' },
          { path: false, name: '编辑退库单' }
        ],

        crumbs2: [
          { path: false, name: '库存管理' },
          { path: false, name: '其他退库单' },
          { path: false, name: '编辑退库单' }
        ],


        signAndWeighBoxPatients: 'sign-and-weigh-box-patients',
        warehousing_time: '',
        adminUserOptions: null,
        currentIndex: 0,
        return_time: '',
        recordInfo: {
          recordData: [],
          stock_in_code: '',
          current_index: ''

        },
        tableRules: {
          count: [
            { required: true, message: '数量不能为空', trigger: 'blur' }
          ],
          price: [
            { required: true, message: '单价不能为空', trigger: 'blur' }
          ],
          number: [
          { required: true, message: "批次不能为空", trigger: "blur" }
          ]

        },
        ruleForm: {
          manufacturer: [
            { required: true, message: '请选择厂商', trigger: 'change' }
          ]

        },

        // prop
        isVisibility: false,
        propForm: {
          goods: [],
          goodType: [],
          goodInfo: [],
          goodUnit: [],
          manufacturer: 0,
          dealer: 0
        },

        form: {
          manufacturer: '',
          dealer: ''
        },
        warehouseOutInfoList:[],
        cancelStock: {},
        manufacturer: [],
        dealer: [],
        goodType: [],
        goodInfo:[],
        goodList:[],
        manufacturerList:[],
        dealerList:[],
        numberList:[],
        numberShow:true,
        storehouse_id:"",
        list:[],
        is_check:0,
        disabled:false,
      }
    },
    methods: {
      comfirm: function(val) {
        this.$refs.dialog.hide()

        if (val.selectedGoodInfo.length > 0) {
          for (let i = val.selectedGoodInfo.length - 1; ; i--) {
            if (i == 0) {
              this.recordInfo.recordData[this.currentIndex].good_type_id = val.selectedGoodInfo[i].good_type_id
              this.recordInfo.recordData[this.currentIndex].good_id = val.selectedGoodInfo[i].id
            } else {
              const tempForm = {}
              tempForm['id'] = 0
              tempForm['good_type_id'] =val.selectedGoodInfo[i].good_type_id
              tempForm['good_id'] = val.selectedGoodInfo[i].id
              tempForm['count'] = ''
              this.recordInfo.recordData.splice(this.currentIndex + 1, 0, tempForm)
            }
          }
        }

        this.currentIndex = -1
      }, cancle: function() {
        this.$refs.dialog.hide()
      },
      GetConfigInfo: function() {
        const loading = this.$loading({
          lock: true,
          text: 'Loading',
          spinner: 'el-icon-loading',
          background: 'rgba(0, 0, 0, 0.7)'
        })

        GetAllConfig().then(response => {
          if (response.data.state == 0) {
            this.$message.error(response.data.msg)
            return false
          } else {
            this.manufacturer = response.data.data.manufacturer
            this.dealer = response.data.data.dealer
            this.goodType = response.data.data.goodType
            this.goodInfo = response.data.data.goodInfo
            this.manufacturer.splice(0, 0, { id: 0, manufacturer_name: '全部' })
            this.dealer.splice(0, 0, { id: 0, dealer_name: '全部' })
            this.manufacturer.splice(0, 0, { id: -1, manufacturer_name: '其他' })
            this.dealer.splice(0, 0, { id: -1, dealer_name: '其他' })
            this.form.manufacturer = 0
            this.form.dealer = 0
            this.list = response.data.data.list
          
          }
          loading.close()
        })

      },

      typeName: function(good_type_id) {
        let name = ''
        for (let i = 0; i < this.goodType.length; i++) {
          if (this.goodType[i].id == good_type_id) {
            name = this.goodType[i].type_name
          }
        }
        return name
      },  specificationName: function(good_info_id) {
        let name = ''
        for (let i = 0; i < this.goodInfo.length; i++) {
          if (this.goodInfo[i].id == good_info_id) {
            name = this.goodInfo[i].specification_name
          }
        }
        return name
      },
       handleEdit: function(index, row) {
        if(this.is_check == 1){
          this.$message.error("已审核的单据不能新增!")
          return false
        }
        const tempObj = {}
        tempObj['id'] = 0
        tempObj['good_type_id'] = 0
        tempObj['good_id'] = 0
        tempObj['count'] = 0
        tempObj["number"] = ""
        tempObj["dealer"] = ""
        tempObj["manufacturer"]= ""
        tempObj["register_account"] = ""
        tempObj["remark"] = ""
        tempObj["price"] = 0
        tempObj["warehouse_info_id"] = 0
        tempObj["xt_warehouse_info"] = []
        this.recordInfo.recordData.push(tempObj)
      },
       handleDelete: function(index, row) {
        if(this.is_check == 1){
          this.$message.error("已审核的单据不能删除!")
          return false
        }
        if (row.id == 0) {
          this.recordInfo.recordData.splice(index, 1)
        } else {
          const params = {
            id: row.id
          }
          this.$confirm('确认删除该退库商品记录?', '删除退库商品记录', {
            confirmButtonText: '确定',
            cancelButtonText: '取消',
            type: 'warning'
          }).then(() => {
            deleteCancelStockInfo(params).then(response => {
              if (response.data.state == 0) {
                this.$message.error(response.data.msg)
                return false
              } else {
                this.$message.success('删除成功')
                this.recordInfo.recordData.splice(index, 1)
              }
            })
          }).catch(() => {
          })
        }
      }, getTime(val, temp) {
        if (val != 0) {
          return uParseTime(val, temp)
        } else {
          return ''
        }
      },
      showDialog(index, row) {
        const loading = this.$loading({
          lock: true,
          text: 'Loading',
          spinner: 'el-icon-loading',
          background: 'rgba(0, 0, 0, 0.7)'
        })
        this.currentIndex = index
        this.isVisibility = true
        const params = {
          manufacturer_id: this.form.manufacturer,
          dealer_id: this.form.dealer
        }
        this.propForm.goods = []

        GetAllGoodInfoByID(params).then(response => {
            if (response.data.state == 0) {
              this.$message.error(response.data.msg)
              return false
              loading.close()

            } else {
              loading.close()

              if (response.data.data.goodInfo.length <= 0) {
                this.$message.error('该厂商或经销商没有物品信息')
                return
              }
              this.$refs.dialog.show()
              for (let i = 0; i < response.data.data.goodInfo.length; i++) {
                this.propForm.goodType.push(response.data.data.goodInfo[i].type)
              }
              const obj = {}
              this.propForm.goodType = this.propForm.goodType.reduce((cur, next) => {
                obj[next.id] ? '' : obj[next.id] = true && cur.push(next)
                return cur
              }, []) // 设置cur默认类型为数组，并且初始值为空的数组
            }

            for (let i = 0; i < this.propForm.goodType.length; i++) {
              let goodInfo = []
              let goodObj = {}

              for (let a = 0; a < response.data.data.goodInfo.length; a++) {
                var respObj = response.data.data.goodInfo[a]
                respObj['isSelected'] = false
                if (respObj.type.id == this.propForm.goodType[i].id) {
                  goodInfo.push(respObj)
                }
              }
              const obj = {}
              goodInfo = goodInfo.reduce((cur, next) => {
                obj[next.id] ? '' : obj[next.id] = true && cur.push(next)
                return cur
              }, []) // 设置cur默认类型为数组，并且初始值为空的数组

              this.$set(goodObj, this.propForm.goodType[i].id, goodInfo)
              this.propForm.goods.push(goodObj)
            }
          }
        )
      },

      back() {
        this.$router.go(-1)
      },
      submit() {
        this.$refs['tableForm'].validate((valid) => {
          if (valid) {
            const array = this.recordInfo.recordData
            for (let i = 0; i < array.length; i++) {
              if (array[i].good_type_id == 0) {
                this.$message.error('商品类型不能为空')
                return
              }
              if (array[i].good_id == 0) {
                this.$message.error('规格名称不能为空')
                return
              }
              array[i].price = array[i].price.toString()
            }
           
            for(let i=0;i<this.recordInfo.recordData.length;i++){
               if(this.recordInfo.recordData[i].good_id == 0){
                  this.$message.error("耗材规格不能为空")
                  return
               }
              for(let j=0;j<this.recordInfo.recordData[i].xt_warehouse_info.length;j++){
                if(this.recordInfo.recordData[i].number == this.recordInfo.recordData[i].xt_warehouse_info[j].id){
                    this.recordInfo.recordData[i].number = this.recordInfo.recordData[i].xt_warehouse_info[j].number
                    this.recordInfo.recordData[i].warehouse_info_id = this.recordInfo.recordData[i].xt_warehouse_info[j].id
                }
              }     
            }
            const loading = this.$loading({
              lock: true,
              text: 'Loading',
              spinner: 'el-icon-loading',
              background: 'rgba(0, 0, 0, 0.7)'
            })
            const params = {
              'cancelStock': this.recordInfo.recordData
            }
            console.log("param2322332332333wo",params)
            editCancelStockInfo(params, this.return_time, this.$route.query.id, this.$route.query.type,this.form.manufacturer,this.form.dealer,this.storehouse_id).then(response => {
              if (response.data.state == 0) {
                this.$message.error(response.data.msg)
                loading.close()
                return false
              } else {
                var msg =  response.data.data.msg
                if (msg == 1){
                    this.$message.error("该耗材无出库记录")
                    return
                }
                if(msg == 2){
                  this.$message.error("退库数量大于出库数量")
                }
                if(msg == 4){
                  this.$message.error("该批次退库数量大于出库数量")
                }
                 if(msg == 5){
                  this.$message.error("该批次退库数量大于入库数量")
                }
                if(msg == 3){
                  // this.$notify({
                  //   title: "成功",
                  //   message: "保存成功",
                  //   type: "success",
                  //   duration: 2000
                  // });
                 this.$message.success("保存成功!")
                }  
                loading.close()       
              }
            })
          } else {
            return false
          }
        })
      }, 
      GetOrderDetail: function(order_id) {
        const params = {
          'id': order_id
        }
        getCancelStockInfo(params).then(response => {
          if (response.data.state == 0) {
            this.$message.error(response.data.msg)
            return false
          } else {
           
            for (let i = 0; i < response.data.data.list.length; i++) {
              response.data.data.list[i].good_name = response.data.data.list[i].GoodInfo.good_name
              response.data.data.list[i].name = response.data.data.list[i].GoodInfo.specification_name + "/" + response.data.data.list[i].GoodInfo.packing_unit
              response.data.data.list[i].packing_unit = response.data.data.list[i].GoodInfo.packing_unit
              response.data.data.list[i].count = response.data.data.list[i].count.toString()
              response.data.data.list[i].product_date = this.getTime(response.data.data.list[i].product_date,"{y}-{m}-{d}")
              response.data.data.list[i].expiry_date = this.getTime(response.data.data.list[i].expiry_date,"{y}-{m}-{d}")
              response.data.data.list[i].return_count = response.data.data.list[i].count
              response.data.data.list[i].xt_warehouse_info = response.data.data.list[i].xt_warehouse_info
              this.recordInfo.recordData.push(response.data.data.list[i])
            }
            this.cancelStock = response.data.data.info
            this.storehouse_id = response.data.data.info.storehouse_id
            this.return_time = this.getTime(this.cancelStock.return_time, '{y}-{m}-{d}')
            this.form.manufacturer = this.cancelStock.manufacturer
            this.form.dealer = this.cancelStock.dealer
          
          }
          if (this.recordInfo.recordData.length == 0) {
            const tempObj = {}
            tempObj['id'] = 0
            tempObj['good_type_id'] = 0
            tempObj['good_id'] = 0
            tempObj['count'] = ''
            this.recordInfo.recordData.push(tempObj)
          }
          this.manufacturerList = []
          this.manufacturerList = response.data.data.manufacturerList
          this.dealerList = []
          this.dealerList = response.data.data.dealerList
         

        })
      },changeManufacturer(val) {
        this.propForm.manufacturer = val
      },changeDealer(val){
        this.propForm.dealer = val
      },

      querySearchAsync(keyword, cb) {
        let key = '';
        if (keyword != undefined) {
          key = keyword
        }
        postSearchGoodList(key,this.storehouse_id).then(response => {
          if (response.data.state == 1) {
           
             var list = response.data.data.list
             
             this.goodList = list
             var manufacturerList = response.data.data.manufacturerList
             this.manufacturerList = manufacturerList
             var dealer =  response.data.data.dealerList
             this.dealerList = dealer
             for(let i=0;i<this.goodList.length;i++){
                for(let j=0;j<this.manufacturerList.length;j++){
                  if(this.goodList[i].manufacturer == this.manufacturerList[j].id){
                     this.goodList[i].manufacturer = this.manufacturerList[j].manufacturer_name
                  }
                }
             }

             for(let i=0;i<this.goodList.length;i++){
               for(let j=0;j<this.dealerList.length;j++){
                  if(this.goodList[i].dealer == this.dealerList[j].id){
                    this.goodList[i].dealer = this.dealerList[j].dealer_name
                  }
               }
             }
           
             cb(this.goodList)
          } else {
            cb([])
          }
        })
      },
      changeGoodName(val){
        this.currentIndex = val
      },
      handleSelect(val){
        //获取当前耗材的批号
         for(let i=0;i<this.recordInfo.recordData.length;i++){
           if(this.currentIndex == i){
              this.recordInfo.recordData[i].register_account = val.number
              this.recordInfo.recordData[i].good_type_id = val.id
              this.recordInfo.recordData[i].good_name = val.good_name
              this.recordInfo.recordData[i].good_type_id = val.good_type_id
              this.recordInfo.recordData[i].name = val.specification_name +"/"+val.packing_unit
              this.recordInfo.recordData[i].number =  val.number
              this.recordInfo.recordData[i].manufacturer = val.manufacturer
              this.recordInfo.recordData[i].remark = val.remark
              this.recordInfo.recordData[i].xt_warehouse_info = val.xt_warehouse_info
              if(val.buy_price == 0){
               this.recordInfo.recordData[i].price = ""
              }else{
                this.recordInfo.recordData[i].price = val.buy_price
              }
              
              this.recordInfo.recordData[i].specification_name = val.specification_name
              this.recordInfo.recordData[i].good_id = val.id
              this.recordInfo.recordData[i].packing_unit = val.packing_unit
              if(val.dealer == 0){
                this.recordInfo.recordData[i].dealer = ""
              }else{
                this.recordInfo.recordData[i].dealer = val.dealer
              }
             
           }
         }
      },
     getStockBatchNumber(id){
       var params = {
         id:id
       }
      getStockBatchNumber(params).then(response=>{
        if(response.data.state == 1){
          var list = response.data.data.list
         
          this.numberList = list
        }
      })
     },
     calculate: function(val) {
      if (val == 0) {
        return "";
      }
      return Math.round(parseFloat(val) * 100) / 100;
     },
     toCheck(){
       const loading = this.$loading({
          lock: true,
          text: 'Loading',
          spinner: 'el-icon-loading',
          background: 'rgba(0, 0, 0, 0.7)'
        })
       var params = {
         cancel_stock_id:this.$route.query.id,
       }
      checkStockWarehouseInfo(params).then(response=>{
         if(response.data.state == 1){
          if(response.data.data.msg == 1){
            this.$message.success("审核成功!")
            this.$router.back(-1);
            loading.close()
          }
          if(response.data.data.msg == 2){
            var good_name = response.data.data.good_name
            var specification_name = response.data.data.specification_name
            var str = good_name + specification_name +"退库数量大于出库数量,审核失败!"
            this.$message.error(str)
            loading.close()
          }
         }
      })
    },
    toReturnCheck(){
      const loading = this.$loading({
        lock: true,
        text: 'Loading',
        spinner: 'el-icon-loading',
        background: 'rgba(0, 0, 0, 0.7)'
      })
      var params = {
         cancel_stock_id:this.$route.query.id,
       }
       checkRturnStockWarehouseInfo(params).then(response=>{
          if(response.data.state == 1){
            this.$message.success("反审核成功!")
            this.$router.back(-1);
            loading.close()
          }
       })
    }
    },
    created() {
      this.GetConfigInfo()
      this.propForm.goodUnit = this.$store.getters.good_unit
      const order_id = this.$route.query.id
      this.GetOrderDetail(order_id)
      this.is_check = this.$route.query.is_check
      if(parseInt(this.$route.query.is_check) == 1){
         this.disabled = true
      }else{
        this.disabled = false
      }

    }

  }
</script>

<style rel="stylesheet/css" lang="scss" scoped>
  .information {
    border: 1px #dcdfe6 solid;
    padding: 30px 20px 30px 20px;

  .border {
    border-bottom: 1px #dcdfe6 solid;
    margin: 0px 0 20px 0;
  }

  }



  .edit_separater {
    border-top: 1px solid rgb(233, 233, 233);
    margin-top: 15px;
    margin-bottom: 15px;
  }

</style>

<style>
  .sign-and-weigh-box .sign-and-weigh-box-patients .cell {
    font-size: 12px;
  }

  .sign-and-weigh-box .sign-and-weigh-box-patients .current-row > td {
    background: #6fb5fa;
  }

</style>
